{% from 'components/group_header.html.jinja' import group_header %}
{%- from 'components/xdf_versions.html.jinja' import version_picker -%}
{%- from 'components/help.html.jinja' import empty_entry, optional_text -%}
{%- from 'components/metadata.html.jinja' import metadata_text, metadata_card, simple_attribute -%}
{%- from 'components/help.html.jinja' import glossary_link -%}
{%-
  from 'components/xdatenfelder_helper.html.jinja' import relation_referenzen,
  simple_attribute_optional, simple_attribute_multiline, detail_subhead,
  detail_subhead_top, stichwoerter, handlungsgrundlage
-%}
{% extends "root.html.jinja" %}

{% block page %}
  {{ group_header(page.header, baseurl) }}

  <div class="container pt-4 mb-5">
    <div class="row">
      {# main content #}
      <section class="col-lg-8 mb-5" aria-label="Inhalt">
        <h2 class="visually-hidden">Inhalt</h2>
        {{ detail_subhead_top("Definition", "https://docs.fitko.de/fim/docs/glossar/#definition") }}
        {{ optional_text(page.definition) }}

        {{ detail_subhead("Handlungsgrundlage", "https://docs.fitko.de/fim/docs/glossar/#handlungsgrundlage") }}
        {{ handlungsgrundlage(page.bezug) }}

        <div class="mb-4 mt-3">
          {{ simple_attribute_optional("Gültig ab", page.gueltig_ab, "https://docs.fitko.de/fim/docs/glossar/#gueltig_ab_bis") }}
          {{ simple_attribute_optional("Gültig bis", page.gueltig_bis, "https://docs.fitko.de/fim/docs/glossar/#gueltig_ab_bis") }}
        </div>

        {{ detail_subhead("Formularangaben", none) }}

        <div class="mb-4 mt-3">
          {{ simple_attribute_multiline("Bezeichnung", page.bezeichnung, "https://docs.fitko.de/fim/docs/glossar/#bezeichnung") }}
          {{ simple_attribute_multiline("Hilfetext", page.hilfetext, "https://docs.fitko.de/fim/docs/glossar/#hilfetext") }}
          {{ simple_attribute_optional("Gruppenart", page.gruppenart, none) }}
        </div>

        {{ detail_subhead("Technische Beschreibung", "https://docs.fitko.de/fim/docs/glossar/#technische_beschreibung") }}
        {{ optional_text(page.beschreibung) }}

        {{ detail_subhead("Stichwörter", "https://docs.fitko.de/fim/docs/glossar/#stichwoerter") }}
        {{ stichwoerter(page.stichwoerter) }}

        {{ detail_subhead("Schemaelementart", "https://docs.fitko.de/fim/docs/glossar/#schemaelementart") }}
        {{ optional_text(page.schemaelementart) }}

        {{ detail_subhead("Versionshinweis", "https://docs.fitko.de/fim/docs/glossar/#versionshinweis") }}
        {{ optional_text(page.versionshinweis) }}
      </section>

      <aside
        class="col-lg-4 order-lg-last"
        aria-label="Zusätzliche Informationen"
      >
        {{ version_picker(page.available_versions) }}

        {% call metadata_card("Zugehörige Datenfeldgruppen", "https://docs.fitko.de/fim/docs/glossar/#zugehoerige_gruppen") %}
          {{ relation_referenzen(page.relations) }}
        {% endcall %}

        <div class="border-start px-3">
          {{ metadata_text("Status gesetzt durch", "https://docs.fitko.de/fim/docs/glossar/#status_gesetzt_durch", page.status_gesetzt_durch) }}
          {{ metadata_text("Status gesetzt am", "https://docs.fitko.de/fim/docs/glossar/#status_gesetzt_am", page.status_gesetzt_am) }}
          {{ metadata_text("Letzte Änderung (Redaktion)", "https://docs.fitko.de/fim/docs/glossar/#letzte_aenderung_redaktion", page.letzte_aenderung) }}
          {{ metadata_text("Letzte Aktualisierung im FIM Portal", "https://docs.fitko.de/fim/docs/glossar/#letzte_aktualisierung_im_fim_portal", page.last_update) }}
          {{ metadata_text("Veröffentlicht am", "https://docs.fitko.de/fim/docs/glossar/#veroeffentlicht_am", page.veroeffentlicht_am) }}
        </div>
      </aside>
    </div>
  </div>
{% endblock %}
